# My Notes - **OpenAPI Version:** `3.1.0` - **API Version:** `1.0.0` ## Operations ### POST my\_notes.note\_generated - **Method:** `POST` - **Path:** `my_notes.note_generated` - **Tags:** my\_notes #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who generated the note. - **`object` (required)** `object` — Information about the note. - **`created_time` (required)** `string`, format: `date-time` — The creation time of the note in RFC 3339 format. - **`note_id` (required)** `string` — The note ID. - **`note_link` (required)** `string` — The link to the note. - **`note_name` (required)** `string` — The name of the note. - **`updated_time` (required)** `string`, format: `date-time` — The last updated time of the note in RFC 3339 format. - **`meeting_id`** `string` — The meeting ID associated with the note. This field is only returned when the note is linked to a Zoom Meeting. Otherwise, it is an empty string. - **`operator` (required)** `string`, format: `email` — The email address of the user who generated the note. - **`operator_id` (required)** `string` — The user ID of the user who generated the note. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "note_id": "", "note_link": "", "note_name": "", "created_time": "", "updated_time": "", "meeting_id": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who generated the note. - **`object` (required)** `object` — Information about the note. - **`created_time` (required)** `string`, format: `date-time` — The creation time of the note in RFC 3339 format. - **`note_id` (required)** `string` — The note ID. - **`note_link` (required)** `string` — The link to the note. - **`note_name` (required)** `string` — The name of the note. - **`updated_time` (required)** `string`, format: `date-time` — The last updated time of the note in RFC 3339 format. - **`meeting_id`** `string` — The meeting ID associated with the note. This field is only returned when the note is linked to a Zoom Meeting. Otherwise, it is an empty string. - **`operator` (required)** `string`, format: `email` — The email address of the user who generated the note. - **`operator_id` (required)** `string` — The user ID of the user who generated the note. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "note_id": "", "note_link": "", "note_name": "", "created_time": "", "updated_time": "", "meeting_id": "" } } } ```